Bug 1279932 - ipa-client-install --request-cert needs workaround in anaconda chroot
Summary: ipa-client-install --request-cert needs workaround in anaconda chroot
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Namita Soman
URL:
Whiteboard:
Keywords:
Depends On: 1271551
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-10 14:19 UTC by David Kupka
Modified: 2016-11-04 05:40 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-04 05:40:00 UTC


Attachments (Terms of Use)
console output with verification steps (3.78 KB, text/plain)
2016-09-16 17:17 UTC, Kaleem
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2404 normal SHIPPED_LIVE ipa bug fix and enhancement update 2016-11-03 13:56:18 UTC

Description David Kupka 2015-11-10 14:19:14 UTC
Description of problem:
To run ipa-client-install --request-cert successfully in anaconda chroot workaround described in bug 1134497 must be used.

To remove the need for workaround:
a) anaconda installer must not bind-mount the DBus system bus socket into chroot (bug 1271551)
b) ipa needs logic to detect this situation and behave according.
c) DBus daemon needs to move socket outside the bind-mounted file system.

As described in bug 1271551, comment 7  a) is not easy to do in anaconda.
Approach b) is nothing else than hiding the workaround from user inside ipa-installer.

Comment 2 Jan Cholasta 2015-11-11 07:36:01 UTC
I am strongly opposed to the idea of working around the *deliberately* broken environment of Anaconda chroot, in ipa-client-install, or anywhere else.

Comment 3 Petr Vobornik 2016-02-23 17:12:33 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5694

Comment 4 Petr Vobornik 2016-02-23 17:13:14 UTC
ipa-client-install man page will be updated.

Comment 5 Martin Kosek 2016-06-10 08:36:28 UTC
Man page fixed upstream:

master:
da5885b72a284811bda7ddd36b8716d71ac66bd9 man: Decribe ipa-client-install workaround for broken D-Bus enviroment.

ipa-4-3:
149744675315df54280955a829142f21893aa0de man: Decribe ipa-client-install workaround for broken D-Bus enviroment.

Comment 7 Kaleem 2016-09-16 17:17:03 UTC
Verified.

IPA client version:
===================
[root@dhcp207-173 ~]# rpm -q ipa-client
ipa-client-4.4.0-11.el7.x86_64
[root@dhcp207-173 ~]# 

Please find the attached file which contains console output for verification steps.

Comment 8 Kaleem 2016-09-16 17:17 UTC
Created attachment 1201728 [details]
console output with verification steps

Comment 10 errata-xmlrpc 2016-11-04 05:40:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html


Note You need to log in before you can comment on or make changes to this bug.